package com.ssj.framework.log.service;


import com.ssj.framework.core.common.service.BaseService;
import com.ssj.framework.core.util.ResponseEntity;
import com.ssj.framework.log.domain.RequestApiLog;

import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;


/**
 * 
 * 类名称：RequestApiLogService<br>
 * 类描述：请求接口日志服务接口<br>
 * @version v1.0
 *
 */
public interface RequestApiLogService extends BaseService<RequestApiLog, String> {
	
	public Page<RequestApiLog> findMongoDBPage(Map<String,Object> params,Pageable pageable);
	
	public RequestApiLog getMongoDBById(String id);

    public Page<RequestApiLog> findPage(Pageable pageable);

    public ResponseEntity deleteLogs(int days);
}
